org.apache.cxf.transport

## Interface ConduitInitiatorManager

- All Known Implementing Classes:
    ConduitInitiatorManagerImpl

      public interface ConduitInitiatorManager

  The ConduitInitiatorManager provides an interface to register and retrieve transport factories.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deregisterConduitInitiator(String name)` Unregister a `ConduitInitiator`.
    `ConduitInitiator` | `getConduitInitiator(String name)` Returns the `ConduitInitiator` registered with the specified name, loading the appropriate plugin if necessary.
    `ConduitInitiator` | `getConduitInitiatorForUri(String uri)`
    `void` | `registerConduitInitiator(String name, ConduitInitiator factory)` Associates a name, often a URI, with a `ConduitInitiator` when registering with the `Bus`'s `TransportRegistry`.

- - ### Method Detail

    - #### registerConduitInitiator

          void registerConduitInitiator(String name,
                                        ConduitInitiator factory)

      Associates a name, often a URI, with a `ConduitInitiator` when registering with the `Bus`'s `TransportRegistry`.
      Parameters:
        `name` - A string containing the name used to identify the `ConduitInitiator`
        `factory` - The `ConduitInitiator` to be registered.

    - #### deregisterConduitInitiator

          void deregisterConduitInitiator(String name)

      Unregister a `ConduitInitiator`.
      Parameters:
        `name` - A string containing the name of the `ConduitInitiator`.

    - #### getConduitInitiator

          ConduitInitiator getConduitInitiator(String name)
                                        throws BusException

      Returns the `ConduitInitiator` registered with the specified name, loading the appropriate plugin if necessary.
      Parameters:
        `name` -
      Returns:
        the registered `ConduitInitiator`
      Throws:
        `BusException`

    - #### getConduitInitiatorForUri

          ConduitInitiator getConduitInitiatorForUri(String uri)

Apache CXF